import { Injectable } from '@nestjs/common';
import { BadRequestException } from '@nestjs/common';
import { CommunityRepository } from '@app/common/modules/community/repositories';

@Injectable()
export class CommunityPermissionService {
  constructor(private readonly communityRepository: CommunityRepository) {}

  async checkUserPermission(communityUuid: string): Promise<void> {
    try {
      const communityData = await this.communityRepository.findOne({
        where: {
          uuid: communityUuid,
        },
        relations: ['users'],
      });

      if (!communityData) {
        throw new BadRequestException(
          'You do not have permission to access this community',
        );
      }
    } catch (err) {
      throw new BadRequestException(err.message || 'Invalid UUID');
    }
  }
}
