import { RoleType } from '@app/common/constants/role.type.enum';
import { UserStatusEnum } from '@app/common/constants/user-status.enum';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class InviteUserDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public email: string;

  @IsString()
  @IsNotEmpty()
  public jobTitle: string;

  @IsEnum(UserStatusEnum)
  @IsNotEmpty()
  public status: UserStatusEnum;

  @IsString()
  @IsNotEmpty()
  public firstName: string;

  @IsString()
  @IsNotEmpty()
  public lastName: string;

  @IsEnum(RoleType)
  @IsNotEmpty()
  public invitedBy: RoleType;
}
export class InviteUserSpaceDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public inviteUserUuid: string;

  @IsString()
  @IsNotEmpty()
  public spaceUuid: string;

  @IsString()
  @IsNotEmpty()
  public invitationCode: string;
}
