import { IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class AqiSpaceDailyPollutantStatsDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsNotEmpty()
  @IsString()
  spaceUuid: string;

  @IsNotEmpty()
  @IsString()
  eventDay: string;

  @IsNotEmpty()
  @IsNumber()
  eventHour: number;

  @IsNumber()
  pm1Min: number;

  @IsNumber()
  pm1Avg: number;

  @IsNumber()
  pm1Max: number;

  @IsNumber()
  pm10Min: number;

  @IsNumber()
  pm10Avg: number;

  @IsNumber()
  pm10Max: number;

  @IsNumber()
  pm25Min: number;

  @IsNumber()
  pm25Avg: number;

  @IsNumber()
  pm25Max: number;

  @IsNumber()
  ch2oMin: number;

  @IsNumber()
  ch2oAvg: number;

  @IsNumber()
  ch2oMax: number;

  @IsNumber()
  vocMin: number;

  @IsNumber()
  vocAvg: number;

  @IsNumber()
  vocMax: number;

  @IsNumber()
  co2Min: number;

  @IsNumber()
  co2Avg: number;

  @IsNumber()
  co2Max: number;

  @IsNumber()
  aqiMin: number;

  @IsNumber()
  aqiAvg: number;

  @IsNumber()
  aqiMax: number;
}
