import { ApiProperty } from '@nestjs/swagger';
import { SpaceDto } from './space.dto';
import { DeviceDto } from '../../device/dtos';

export class SubspaceDto {
  @ApiProperty({
    example: 'd7a44e8a-32d5-4f39-ae2e-013f1245aead',
    description: 'UUID of the subspace',
  })
  uuid: string;

  @ApiProperty({
    example: 'Meeting Room 1',
    description: 'Name of the subspace',
  })
  subspaceName: string;

  @ApiProperty({
    type: () => SpaceDto,
    description: 'The space to which this subspace belongs',
  })
  space: SpaceDto;

  @ApiProperty({
    example: [],
    description: 'List of devices assigned to this subspace, if any',
  })
  devices: DeviceDto[];
}
