import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { UserRepository } from '@app/common/modules/user/repositories';
import { UserSessionRepository } from '@app/common/modules/session/repositories/session.repository';
import { UserOtpRepository } from '@app/common/modules/user/repositories';
import { RoleTypeRepository } from '@app/common/modules/role-type/repositories';
import { RoleService } from 'src/role/services';
import { UserAuthController } from './controllers';
import { UserAuthService } from './services';
import { AuthService } from '@app/common/auth/services/auth.service';
import { EmailService } from '@app/common/util/email.service';
import { JwtService } from '@nestjs/jwt';

@Module({
  imports: [ConfigModule],
  controllers: [UserAuthController],
  providers: [
    UserAuthService,
    UserRepository,
    UserSessionRepository,
    UserOtpRepository,
    RoleTypeRepository,
    RoleService,
    AuthService,
    EmailService,
    JwtService,
  ],
  exports: [UserAuthService],
})
export class AuthenticationModule {}
