import { Module } from '@nestjs/common';
import { AutomationService } from './services/automation.service';
import { AutomationController } from './controllers/automation.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { DeviceService } from 'src/device/services';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { ProductRepository } from '@app/common/modules/product/repositories';
import { DeviceStatusFirebaseModule } from '@app/common/firebase/devices-status/devices-status.module';
import { TuyaService } from '@app/common/integrations/tuya/services/tuya.service';
import { SceneService } from 'src/scene/services';
import {
  SceneIconRepository,
  SceneRepository,
} from '@app/common/modules/scene/repositories';
import { SceneDeviceRepository } from '@app/common/modules/scene-device/repositories';
import { AutomationRepository } from '@app/common/modules/automation/repositories';
import { ProjectRepository } from '@app/common/modules/project/repositiories/project.repository';
import { AutomationSpaceController } from './controllers/automation-space.controller';
import { CommunityRepository } from '@app/common/modules/community/repositories';

@Module({
  imports: [ConfigModule, SpaceRepositoryModule, DeviceStatusFirebaseModule],
  controllers: [AutomationController, AutomationSpaceController],
  providers: [
    AutomationService,
    TuyaService,
    SpaceRepository,
    DeviceService,
    DeviceRepository,
    ProductRepository,
    SceneService,
    SceneIconRepository,
    SceneRepository,
    SceneDeviceRepository,
    AutomationRepository,
    ProjectRepository,
    CommunityRepository,
  ],
  exports: [AutomationService],
})
export class AutomationModule {}
