import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class ClientTokenDto {
  @ApiProperty({
    example: 'abcd1234xyz',
    description: 'The client ID of the client',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  clientId: string;

  @ApiProperty({
    example: 'secureSecret123',
    description: 'The client secret of the client',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  clientSecret: string;
}
