export interface GetDeviceDetailsInterface {
  activeTime: number;
  assetId?: string;
  category: string;
  categoryName: string;
  createTime: number;
  gatewayId: string;
  icon: string;
  id: string;
  ip: string;
  lat: string;
  localKey: string;
  lon: string;
  model: string;
  name: string;
  battery?: number;
  nodeId: string;
  online: boolean;
  productId?: string;
  productName?: string;
  sub: boolean;
  timeZone: string;
  updateTime: number;
  uuid: string;
  productType: string;
  productUuid: string;
  spaces?: SpaceInterface[];
  community?: CommunityInterface;
}

export interface SpaceInterface {
  uuid: string;
  spaceName: string;
}

export interface CommunityInterface {
  uuid: string;
  name: string;
}

export interface addDeviceInRoomInterface {
  success: boolean;
  msg: string;
  result: boolean;
}

export interface controlDeviceInterface {
  success: boolean;
  result: boolean;
  msg: string;
}
export interface GetDeviceDetailsFunctionsInterface {
  result: {
    category: string;
    functions: [];
  };
  success: boolean;
  msg: string;
}
export interface GetDeviceDetailsFunctionsStatusInterface {
  result: [{ id: string; status: [] }];
  success: boolean;
  msg: string;
}

export interface DeviceInstructionResponse {
  data: {
    productUuid: string;
    productType: string;
    functions: {
      code: string;
      values: any[];
      dataType: string;
    }[];
  };
}
export interface updateDeviceFirmwareInterface {
  success: boolean;
  result: boolean;
  msg: string;
}
export interface getDeviceLogsInterface {
  data: [];
  startTime: string;
  endTime: string;
  deviceUuid?: string;
}
export interface GetPowerClampFunctionsStatusInterface {
  result: {
    properties: [];
  };
  success: boolean;
  msg: string;
}
export interface GetMacAddressInterface {
  uuid: string;
  mac: string;
  sn: string;
  id: string;
}
