import { ApiProperty } from '@nestjs/swagger';
import { IsEmail, IsNotEmpty } from 'class-validator';

export class CheckEmailDto {
  @ApiProperty({
    description: 'The email of the user',
    example: 'OqM9A@example.com',
    required: true,
  })
  @IsEmail()
  @IsNotEmpty()
  email: string;
  constructor(dto: Partial<CheckEmailDto>) {
    Object.assign(this, dto);
  }
}
