import { Injectable } from '@nestjs/common';
import * as fs from 'fs';
import * as path from 'path';

@Injectable()
export class PrivacyPolicyService {
  async fetchPrivacyPolicy(): Promise<string> {
    const projectRoot = process.cwd();

    const filePath = path.join(
      projectRoot,
      'libs',
      'common',
      'src',
      'constants',
      'privacy-policy.html',
    );

    // Ensure the file exists
    if (!fs.existsSync(filePath)) {
      throw new Error(`File not found: ${filePath}`);
    }

    let htmlContent = fs.readFileSync(filePath, 'utf-8');

    htmlContent = htmlContent.replace(/(\r\n|\n|\r)/gm, ''); // Removes newlines

    return htmlContent;
  }
}
