import { ApiProperty } from '@nestjs/swagger';
import { IsString, IsNotEmpty, IsOptional } from 'class-validator';

export class CreateProjectDto {
  @ApiProperty({
    example: 'Project 1',
    description: 'Name of the project',
  })
  @IsString()
  @IsNotEmpty()
  name: string;

  @ApiProperty({
    example: 'Optional description of the project',
    description: 'Description of the project',
    required: false,
  })
  @IsString()
  @IsOptional()
  description?: string;

  @ApiProperty({
    example: 'f5d7e9c3-44bc-4b12-88f1-1b3cda84752e',
    description: 'UUID of the user',
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
}
