import { ApiProperty } from '@nestjs/swagger';
import { IsOptional, IsString, IsUUID } from 'class-validator';

export class ProcessTagDto {
  @ApiProperty({
    description: 'The name of the tag',
    example: 'New Tag',
  })
  @IsString()
  @IsOptional()
  name: string;

  @ApiProperty({
    description: 'UUID of the product associated with the tag',
    example: '550e8400-e29b-41d4-a716-446655440000',
  })
  @IsUUID()
  @IsOptional()
  productUuid: string;

  @ApiProperty({
    description: 'UUID of the tag',
    example: '123e4567-e89b-12d3-a456-426614174000',
  })
  @IsUUID()
  @IsOptional()
  uuid: string;
}
