import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { UserRepositoryModule } from '@app/common/modules/user/user.repository.module';
import { UserNotificationRepository } from '@app/common/modules/user/repositories';
import { UserNotificationService } from 'src/user-notification/services';
import { UserNotificationController } from 'src/user-notification/controllers';

@Module({
  imports: [ConfigModule, UserRepositoryModule],
  controllers: [UserNotificationController],
  providers: [UserNotificationRepository, UserNotificationService],
  exports: [UserNotificationService],
})
export class UserNotificationModule {}
